/*
 * menu_constraint.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef MENU_CONSTRAINT_HPP
#define MENU_CONSTRAINT_HPP

#include "boost/shared_ptr.hpp"
using namespace boost;

#include <string>
using namespace std;

class MenuSelections;
class ServerConfig;

class MenuConstraint {
public:
	virtual ~MenuConstraint() { }
	virtual bool apply(MenuSelections &msel) = 0; // return true if something was changed.
};

// the following pops an argument list from the kfile:
shared_ptr<MenuConstraint> CreateMenuConstraint(const string &name, ServerConfig &sc);

#endif
