/*
 * x_centre.cpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "misc.hpp"

#include "app/app2d.hpp"
#include "display.hpp"
#include "x_centre.hpp"

void XCentre(Display &dpy, int y, const char *str)
{
    // (TODO) Note confused coord systems here: drawText uses
    // bottom-left-relative coords while this routine uses
    // top-left-relative. Ideally would sort this out sometime ...

	const int w = dpy.getTextWidth(str);
	const int x = (dpy.getWidth() - w) / 2;
	dpy.drawText(x, dpy.getHeight()-1-y, str);
}
